package com.ruoyi.zhdd.service;

import cn.hutool.json.JSONArray;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/1/19
 * @Version V1.0
 */
public interface IDhService {

    /**
     * 获取大华鉴权token
     *
     * @return
     */
    String getToken();

    String authorize();

    void tokenKeepalive(String token);

    Object getDeviceTree();

    JSONArray querySingleStat();
}
